<?php

class DetalleTareaModel {
    private $pdo;

    public function __construct()
    {
        try {
            require_once 'model/database.php';
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function Buscar($Plantilla_Id) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL pla_tareas_buscar($Plantilla_Id)");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $detalle_Tarea = new TareaDetalle();
                $detalle_Tarea->__set('nPlantilla_Id', $r->nPlantilla_Id);
                $detalle_Tarea->__set('nTarea_Id', $r->nTarea_Id);
                $detalle_Tarea->__set('sTarNombre', $r->sTarNombre);
                $result[] = $detalle_Tarea;
            endforeach;
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function EliminarByPlantilla($Plantilla_Id) {
        try {
            $stm = $this->pdo->prepare("CALL pla_tareas_eliminar($Plantilla_Id)");
            $stm->execute();
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
}