<?php
if (!isset($_SESSION['usu_autenticado'])) {
    header("location: ?c=Principal&a=Index");
}

function nombremes($mes) {
    setlocale(LC_TIME, 'spanish');
    $nombre = strftime("%B", mktime(0, 0, 0, $mes, 1, 2000));
    return $nombre;
}

$year = date('Y');
$mont = nombremes(date('m'));
$day = date('d');
?>
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>MODASA</title>
        <!-- Tell the browser to be responsive to screen width -->
        <meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">
        <!-- Bootstrap 3.3.5 -->
        <link rel="stylesheet" href="view/librerias/bootstrap/css/bootstrap.min.css">
        <!-- Font Awesome -->
        <link rel="stylesheet" href="view/librerias/dist/css/font-awesome.min.css">
        <!-- Theme style -->
        <link rel="stylesheet" href="view/librerias/dist/css/AdminLTE.min.css">
        <!-- AdminLTE Skins. Choose a skin from the css/skins
             folder instead of downloading all of them to reduce the load. -->
        <link rel="stylesheet" href="view/librerias/dist/css/skins/_all-skins.min.css">

        <!-- HTML5 Shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
        <!--[if lt IE 9]>
            <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
            <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->
        
        <style type="text/css">
            body {
                overflow: hidden;
            }            
            /* preloader */
            #preloader {
                position: fixed;
                top:0; left:0;
                right:0; bottom:0;
                background: #000;
                opacity: 0.7;
                z-index: 100000;
            }
            #loader {
                width: 100px;
                height: 100px;
                position: absolute;
                left:50%; top:50%;
                background: url(view/librerias/dist/img/loader.gif) no-repeat center 0;
                margin:-50px 0 0 -50px;
            }
            .error{
                border: 1px solid #FF7E7E;
            }
            label.error{
                color: #FF7E7E;
                border: none;
                font-size: 12px;
                font-weight: normal;
                margin-bottom: 0px;
            }
            .main-footer{
                padding: 5px 15px;
                font-size: 9px;
            }
            .bootstrap-select:not([class*="col-"]):not([class*="form-control"]):not(.input-group-btn){
                width: 100%;
            }
            .btn-default{
                background: #fff;
            }
            .selectpicker_items{
                font-weight: normal;
            }     
            .modal-open, .modal-open .navbar-fixed-top, .modal-open .navbar-fixed-bottom {
                padding-right:0px!important;
            }
            .btn-modasa,
            .btn-modasa:hover,
            .btn-modasa:active{
                background-color: #ff801c !important;
                color: #fff;
                border-color: #ff801c;
            }
            .content-wrapper{
                display: flex;
                text-align: center;
                justify-content: center;
                align-items: center;
            }
            .box-modasa{
                border-top-color: #ff801c;
            }
        </style>
    </head>
    <!-- ADD THE CLASS layout-top-nav TO REMOVE THE SIDEBAR. -->
    <body class="hold-transition skin-black layout-top-nav">
        
        <div id="preloader">
            <div id="loader">&nbsp;</div>
        </div>
        <div class="wrapper">

            <header class="main-header">
                <nav class="navbar navbar-static-top">
                    <div class="container">
                        <div class="navbar-header"><!-- Logo -->
                            <a href="?c=Principal&a=Index" class="logo">
                                <!-- mini logo for sidebar mini 50x50 pixels -->
                                <!--<span class="logo-mini"><b>ALINEN</b></span>-->
                                <!-- logo for regular state and mobile devices -->
                                <span class="logo-lg"><b style="text-transform: uppercase;"><img src="view/librerias/dist/img/logo_modasa.png" width="159"></b></span>
                            </a>
                        </div>
                        <!-- Navbar Right Menu -->
                        <div class="navbar-custom-menu">
                            <ul class="nav navbar-nav">                                
                                <!-- User Account: style can be found in dropdown.less -->
                                <li class="dropdown user user-menu">
    <!--                                <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                        <span class="glyphicon glyphicon-user img-circle"></span>
                                        <span class="hidden-xs"><?php echo $_SESSION['usu_nombre']; ?></span>
                                    </a>-->
                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                                        <img src="view/librerias/dist/img/user/user.png" class="user-image" alt="User Image" />
                                        <span class="hidden-xs"><?php echo $_SESSION['usu_nombre']; ?></span>
                                    </a>
                                    <ul class="dropdown-menu">
                                        <!-- User image -->
                                        <li class="user-header">  
                                            <img src="view/librerias/dist/img/user/user.png" class="img-circle" alt="User Image" />
                                            <p>
                                                <?php echo $_SESSION['usu_nombre']; ?>
                                                <small><?php echo $day . ' de ' . $mont . ' del ' . $year; ?>.</small>
                                            </p>
                                        </li>
                                        <!-- Menu Footer-->
                                        <li class="user-footer">
                                            <div class="pull-right">
                                                <a href="?c=Principal&a=CerrarSession" class="btn btn-default btn-flat">Cerrar sesión</a>
                                            </div>
                                        </li>
                                    </ul>
                                </li>
                                <!-- Control Sidebar Toggle Button -->      
                            </ul>
                        </div><!-- /.navbar-custom-menu -->
                    </div><!-- /.container-fluid -->
                </nav>
            </header>
            <!-- Full Width Column -->
            <div class="content-wrapper">                
                <div class="row" style="width: 100%; margin-top: 25px; margin-bottom: 25px;">
                    <div class="col-sm-6 col-sm-offset-3 text-justify">
                        <div class="box box-widget box-modasa">
                            <div class="box-header with-border">
                                <div class="user-block">
                                    <img class="img-circle" src="view/librerias/dist/img/ico_modasa.png" alt="user image">
                                    <span class="username"><?php echo $_SESSION['usu_nombre']; ?>, Se solicita cambio de contraseña</span>
                                </div>
                            </div>
                            <form action="" method="POST" id="FrmCambioClave">
                                <div class="box-body">   
                                    <div id="msj_cambioClave"></div>
                                    <ul class="list-unstyled" style="margin-bottom: 20px;">
                                        <li>
                                            Por favor al cambiar la contraseña tenemos que tener en cuentas los siguientes puntos.                             
                                        </li>
                                        <li>
                                            <ul>

                                                <li>La longitud minima de contraseña es entre 6 y 8 caracteres.</li>
                                                <li>La complejidad de contraseña es de Letras, numeros y caracteres especiales.</li>
                                                <li>El tiempo de expiración de contraseña es de 60 a 90 días.</li>
                                            </ul>
                                        </li>
                                    </ul>        
                                    <div class="row">                                    
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label style="font-weight: normal;">Nueva contraseña</label>
                                                <input type="password" class="form-control" placeholder="************" name="contraseñaOne" id="contraseñaOne">
                                            </div>
                                        </div>
                                        <div class="col-sm-12">
                                            <div class="form-group">
                                                <label style="font-weight: normal;">Confirmar contraseña</label>
                                                <input type="password" class="form-control" placeholder="************" name="contraseñaTwo" id="contraseñaTwo">
                                            </div>
                                        </div>                                    
                                    </div>
                                </div>
                                <div class="box-footer">
                                    <button type="button" id="btn-cambiarClave" class="btn btn-default btn-modasa">CAMBIAR CLAVE</button>
                                </div>
                            
                            </form>
                        </div>                        
                    </div>
                </div>
                
            </div><!-- /.content-wrapper -->
            <footer class="main-footer">
                <div class="container">
                    <div class="pull-right hidden-xs">
                        <b>Version</b> 2.3.0
                    </div>
                    <strong>Copyright &copy; 2014-2015 <a href="http://almsaeedstudio.com">Almsaeed Studio</a>.</strong> All rights reserved.
                </div><!-- /.container -->
            </footer>
        </div><!-- ./wrapper -->

        <!-- jQuery 2.1.4 -->
        <script src="view/librerias/plugins/jQuery/jQuery-2.1.4.min.js"></script>
        <!-- Bootstrap 3.3.5 -->
        <script src="view/librerias/bootstrap/js/bootstrap.min.js"></script>
        <!-- SlimScroll -->
        <script src="view/librerias/plugins/slimScroll/jquery.slimscroll.min.js"></script>
        <!-- FastClick -->
        <script src="view/librerias/plugins/fastclick/fastclick.min.js"></script>
        <!-- AdminLTE App -->
        <script src="view/librerias/dist/js/app.min.js"></script>
        <!-- AdminLTE for demo purposes -->
        <script src="view/librerias/dist/js/demo.js"></script>
        
        <script type="text/javascript" src="view/librerias/dist/js/jquery.validate.js" type="text/javascript"></script>
        
        <script type="text/javascript">
            jQuery.validator.addMethod("password_modasa", function (value, element) {
                return this.optional(element) || /^(?=.*[a-zA-Z])(?=.*\d)(?=.*[$@$!%*?&#.$($)$-$_])([A-Za-z\d$@$!%*?&#.$($)$-$_]|[^ ]){6,8}$/.test(value);
            //    return this.optional(element) || /^[A-zA-Z]\w{6,8}$/.test(value);
            });

            $("#FrmCambioClave").validate({
                errorClass: 'error',
                rules: {    
                    contraseñaOne: {
                       required: true,
                       password_modasa: true
                    },
                    contraseñaTwo: {
                       required: true,
                       equalTo: "#contraseñaOne",
                       password_modasa: true
                    }
                },
                messages: {        
                    contraseñaOne: {
                        required: "Ingrese contraseña que utilizara.",
                        password_modasa: "Constraseña no segura tener en cuenta (Letras, números, caracteres especiales y longitud entre 6 – 8 caracteres)"
                    },
                    contraseñaTwo: {
                        required: "Por favor ingrese nuevamente la contraseña.",
                        equalTo: "Las contraseñas no coinciden",
                        password_modasa: "Constraseña no segura tener en cuenta (Letras, números, caracteres especiales y longitud entre 6 – 8 caracteres)"
                    }
                }
            });
            function Limpiar(){
                $("#contraseñaOne").val("");
                $("#contraseñaTwo").val("");
            }
            $("#btn-cambiarClave").click(function(){
                if($("#FrmCambioClave").valid()){
                    
                    var sUsuContrasena = document.getElementById("contraseñaOne").value;
                    
                    $.post('?c=Principal&a=CambiarClave',{
                    
                        sUsuContrasena: sUsuContrasena
                    
                    },function(data){
                    
                       $("#msj_cambioClave").html(data);
                       Limpiar();
                       
                    });
                }
            })
            $(window).load(function() {
                $('#preloader').fadeIn('slow');
                $('#preloader').fadeOut('slow');
                $('body').css({'overflow':'visible'});
            });
        </script>
    </body>
</html>
