<!-- Content Header (Page header) -->
<section class="content-header">
    <h1>
        Equipos
        <small></small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
        <li><a href="#">Equipos</a></li>
    </ol>
</section>
<!-- Main content -->
<section class="content">
    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Relación completa de Equipos</h3>

                    <?php if ($_SESSION['usu_tipo'] != 4) { ?>
                        <div class="row">
                            <div class="col-md-6 text-left" style="margin-top: 15px;">
                                <a class="btn btn-primary btn-flat" onclick="FrmGuardarEquipo();">Nuevo Equipo</a>
                            </div>
                        </div>
                    <?php } ?>
                </div><!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped text-center">
                        <thead>
                            <tr>
                                <th>Activo</th>
                                <th>Modelo</th>
                                <th>Serie</th>
                                <th>Tipo</th>
                                <th>Estado</th>
                                <th>Operaciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php foreach($equipos as $r): ?>
                                <tr>
                                    <td><?php echo $r->__get('sEqActivoFijo') ?></td>
                                    <td><?php echo $r->__get('sEqModelo') ?></td>
                                    <td><?php echo $r->__get('sEqSerie') ?></td>
                                    <td><?php 
                                        if ($r->__get('nEqTipo') == 1) {
                                            echo 'GE';
                                        } elseif ($r->__get('nEqTipo') == 2) {
                                            echo 'Torre';
                                        } elseif ($r->__get('nEqTipo') == 3) {
                                            echo 'Compresor';
                                        } elseif ($r->__get('nEqTipo') == 4) {
                                            echo 'Rodillo compactador';
                                        }
                                        ?>
                                    </td>
                                    <td>
                                        <?php
                                            if ($r->__GET('nEqEliminado') != 1) {
                                                ?>
                                                <span class="label label-success">Activo</span>
                                                <?php
                                            } else {
                                                ?>
                                                <span class="label label-danger">Deshabilitado</span>
                                                <?php
                                            }
                                        ?>
                                    </td>
                                    <td>
                                        <a class="btn btn-info btn-xs" onclick="mostrarEquipo('<?php echo $r->__get('Equipo_Id'); ?>')" title="Ver detalle" data-toggle="modal" data-target="#modal-ver"><i class="fa fa-eye"></i></a>
                                        <a class="btn btn-primary btn-xs" onclick="FrmEditarEquipo('<?php echo $r->__get('Equipo_Id') ?>')" title="Editar"><i class="fa fa-pencil"></i></a>
                                        <button type="button" class="btn btn-danger btn-xs" title="Elimnar" data-toggle="modal" data-target="#modal-eliminar" data-codigo="<?php echo $r->__get('Equipo_Id'); ?>"><i class="fa fa-trash-o"></i></button>
                                    </td>
                                </tr>
                            <?php endforeach; ?>
                        </tbody>
                        <tfoot>
                            <th>Activo</th>
                            <th>Modelo</th>
                            <th>Serie</th>
                            <th>Tipo</th>
                            <th>Estado</th>
                            <th>Operaciones</th>
                            </tr>
                        </tfoot>
                    </table>

                    <!-- Modal modeal-ver -->
                    <div class="modal fade" id="modal-ver" tabindex="-1" role="dialog" aria-labelledby="modal-ver-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-ver-label">Registro de Equipo</h4>
                                    </div>
                                    <div class="modal-body">
                                        <table class="table table-striped" id="ver_datos">
                                            <thead>
                                                <tr>
                                                    <th>Cargando datos...</th>
                                                </tr>
                                            </thead>
                                        </table>
                                    </div>
                                    <div class="modal-footer">
                                        <!-- <button type="submit" class="btn btn-danger" formtarget="_blak"><i class="fa fa-print"></i>&nbsp;Imprimir</button> -->
                                        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-ver -->

                    <!-- Modal modal-eliminar -->
                    <div class="modal fade" id="modal-eliminar" tabindex="-1" role="dialog" aria-labelledby="modal-eliminar-label" aria-hidden="true">
                        <div class="modal-dialog">
                            <div class="modal-content">
                                <form action="?c=Equipo&a=EliminarEquipo" method="POST">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">Cerrar</span></button>
                                        <h4 class="modal-title" id="modal-eliminar-label">Eliminar</h4>
                                    </div>
                                    <div class="modal-body">
                                        <input type="hidden" name="idEquipo" id="idEquipo" value="">
                                        ¿Estás seguro que desea eliminar?
                                    </div>
                                    <div class="modal-footer">
                                        <button type="submit" class="btn btn-primary">Si, eliminar</button>
                                        <button type="button" class="btn btn-default" data-dismiss="modal">No, cancelar</button>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                    <!-- /Modal modal-eliminar -->

                </div><!-- /.box-body -->
            </div><!-- /.box -->
        </div><!-- /.col -->
    </div><!-- /.row -->
</section><!-- /.content -->
<script type="text/javascript" src="view/librerias/dist/js/funcionesEquipo.js"></script>
<script type="text/javascript">
    $(function() {
        jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? -1 : ((x > y) ? 1 : 0));
        };

        jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
            var ukDatea = a.split('-');
            var ukDateb = b.split('-');

            var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
            var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

            return ((x < y) ? 1 : ((x > y) ? -1 : 0));
        };
        $("#example1").dataTable();
    });
    $('#modal-eliminar').on('show.bs.modal', function(event) {
        var button = $(event.relatedTarget); // Button that triggered the modal
        var recipient = button.data('codigo'); // Extract info from data-* attributes

        // If necessary, you could initiate an AJAX request here (and then do the updating in a callback).
        // Update the modal's content. We'll use jQuery here, but you could use a data binding library or other methods instead.
        var modal = $(this);
        modal.find('.modal-body input').val(recipient);
    });
</script>