<?php

class SistemaModel {
    private $pdo;

    public function __construct()
    {
        try {
            require_once 'model/database.php';
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }

    public function Listar() {
        try {
            $result = array();
            $stm = $this->pdo->prepare("SELECT * FROM sistema WHERE nSisEstado = 1");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r):
                $sistema = new Sistema();
                $sistema->__SET('Sistema_Id', $r->Sistema_Id);
                $sistema->__SET('sSisNombre', $r->sSisNombre);
                $sistema->__SET('nSisEstado', $r->nSisEstado);
                $result[] = $sistema;
            endforeach;
            return $result;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
}