function FrmGuardarMantenimiento() {
    $.post('?c=Mantenimiento&a=FrmGuardarMantenimiento', {}, function(data) {
        $(".content-wrapper").html(data)
    })
}

function mostrarMantenimiento(Mantenimiento_Id) {
    $.post('?c=Mantenimiento&a=MostrarMantenimiento', {
        Mantenimiento_Id: Mantenimiento_Id
    }, function(data) {
        $("#ver_datos").html(data)
    })
}

function FrmEditarMantenimiento(Mantenimiento_Id) {
    $.post('?c=Mantenimiento&a=FrmEditarMantenimiento', {
        Mantenimiento_Id: Mantenimiento_Id
    }, function(data) {
        $(".content-wrapper").html(data)

    })
}

function buscarEquipo() {
    document.getElementById('sManOdometroAnterior').value = ''
    document.getElementById('sManMantAnterior').value = ''


    let sActivoFijo = document.getElementById('sAFMantenimiento')
    var vEquipoId = ''
    if (!sActivoFijo.value) {
        swal(
            'Advertencia',
            'Ingrese un código válido.',
            'warning'
        )
        sActivoFijo.focus()
        return
    }
    $.post('?c=Equipo&a=BuscarEquipo', {
        sActivoFijo: sActivoFijo.value
    }, function(data) {
        if (!data) {
            swal(
                'Advertencia',
                'No se pudo encontrar.',
                'warning'
            )
            sActivoFijo.focus()
            return
        }
        let json = JSON.parse(data)
        document.getElementById('sEqSerie').value = json.sEqSerie
        document.getElementById('sEqModelo').value = json.sEqModelo
        document.getElementById('sEqTipo').value = json.Tipo
        document.getElementById('Equipo_Id').value = json.Equipo_Id
        vEquipoId = document.getElementById('Equipo_Id').value

        let Mantenimiento_Id = document.getElementById('Mantenimiento_Id').value

        $.post('?c=Mantenimiento&a=BuscarMantPorEquipo', {
            sActivoFijo: vEquipoId,
            Mantenimiento_Id: Mantenimiento_Id
        }, function (data) {
            if (!data) {
                return
            }
            let json = JSON.parse(data)
            document.getElementById('sManOdometroAnterior').value = json.sManOdometroActual
            document.getElementById('sManMantAnterior').value = json.sManMantActual
        })
    })

    
}

function buscarMantenimientoOdo() {
    let sManOdometroActual = document.getElementById('sManOdometroActual')
    if (!sManOdometroActual.value) {
        swal(
            'Advertencia',
            'Ingrese el valor del Odómetro Actual!',
            'warning'
        )
        sManOdometroActual.focus()
        return
    }
    let sEqTipo = document.getElementById('sEqTipo').value
    $.post('?c=Mantenimiento&a=BuscarMantemientoActual', {
        sManOdometroActual: sManOdometroActual.value,
        sEqTipo: sEqTipo
    }, function(data) {
        let horas = JSON.parse(data)
        
        let superiores = horas.filter((hora) => parseInt(hora.horas) >= parseInt(sManOdometroActual.value))
        
        let inferiores = horas.filter((hora) => parseInt(hora.horas) <= parseInt(sManOdometroActual.value))

        superiores = superiores.map((item) => {
            return {
                horas: parseInt(item.horas),
                Plantilla: item.Plantilla,
                nombrepla: item.nombrepla
            }
        })
        
        inferiores = inferiores.map((item) => {
            return {
                horas: parseInt(item.horas),
                Plantilla: item.Plantilla,
                nombrepla: item.nombrepla
            }
        })
        
        let mayorInferior = Math.max(...inferiores.map(item => item.horas))
        let objInferior = inferiores.find((item) => item.horas === mayorInferior) // mayor de los inferiores


        let mayorSuperior = Math.min(...superiores.map(item => item.horas))
        let objSuperior = superiores.find((item) => item.horas === mayorSuperior) // mayor de los superiores
        
        let valueFinal = null

        // verificar si objInferior es undefined --> valueFinal toma automaticamente objSuperior

        if (objInferior === undefined) {
            valueFinal = objSuperior
        } else if (objSuperior === undefined) {
            valueFinal = objInferior
        } else {
            // cuando hay ambos valores

            // diferencias
            let diferenciaInferior = Math.abs(parseInt(objInferior.horas) - parseInt(sManOdometroActual.value))
            let diferenciaSuperior = Math.abs(parseInt(objSuperior.horas) - parseInt(sManOdometroActual.value))

            if (diferenciaInferior < diferenciaSuperior) {
                valueFinal = objInferior
            } else {
                valueFinal = objSuperior
            }

        }

        document.getElementById('sManMantActual').value = valueFinal.nombrepla
        document.getElementById('Plantilla_Id').value = valueFinal.Plantilla
    })
}

function groupBy(array, key) {
    return array.reduce((result, current) => {
        (result[current[key]] = result[current[key]] || []).push(current);
        return result;
    }, {});
}

function getCurrentDate() {
    const date = new Date()
    const day = date.getDate().toString().padStart(2, '0')
    const month = (date.getMonth() + 1).toString().padStart(2, '0')
    const year = date.getFullYear()
    const hours = date.getHours().toString().padStart(2, '0')
    const minutes = date.getMinutes().toString().padStart(2, '0')
    const seconds = date.getSeconds().toString().padStart(2, '0')
    return `${day}${month}${year}${hours}${minutes}${seconds}`
}

function GuardarImgAdj(id) {
    let input = document.getElementById(`sImgAdj_${id}`)

    if (input.files.length > 0) {
        let name = input.value.split('\\')[2]
        let file = input.files[0]
        let formData = new FormData()
        formData.append('image', file)
        formData.append('fullname', `${getCurrentDate()}_${id}`)

        
        $.ajax({
            url: '?c=Mantenimiento&a=SubirImgAdj',
            type: 'POST',
            data: formData,
            processData: false,
            contentType: false,
            success: function(data) {                
                console.log(data)
                document.getElementById(`sNombreImg_${id}`).value = `${getCurrentDate()}_${id}_${name}`
            },
            error: function() {
                console.log('Error al enviar el archivo.');
            }
        });
    }
}

function buscarMantenimientoAct() {
    let sManMantActual = document.getElementById('sManMantActual')
    let Plantilla_Id = document.getElementById('Plantilla_Id').value
    let sEqTipo = document.getElementById('sEqTipo').value
    let sAFMantenimiento = document.getElementById('sAFMantenimiento')
    let Mantenimiento_Id = document.getElementById('Mantenimiento_Id').value
    if (!sAFMantenimiento.value) {
        swal(
            'Advertencia',
            'Ingrese un equipo!',
            'warning'
        )
        sAFMantenimiento.focus()
        return
    }

    if (!sManMantActual.value) {
        swal(
            'Advertencia',
            'Ingrese el valor del Mantenimiento Actual!',
            'warning'
        )
        sManMantActual.focus()
        return
    }

    $.post('?c=Mantenimiento&a=ListarTareas', {
        Plantilla_Id: Plantilla_Id,
        sEqTipo: sEqTipo
    }, function(data) {
        let json = JSON.parse(data)
        let unicos = new Map()
        json.forEach((item) => {
            unicos.set(item.sTarNombre, item)
        })
        let jsonUnico = Array.from(unicos.values())
        let tableHTML = ''

        let datenow = new Date()
        let day = datenow.getDate()
        let month = datenow.getMonth()+1
        let year = datenow.getFullYear()

        if (day < 10) {
            day = '0'+day
        }
        if (month < 10) {
            month = '0'+month
        }

        let fulldate = year+'-'+month+'-'+day

        let groupData = groupBy(jsonUnico, 'sSisNombre')

        for (let sisNombre in groupData) {
            if (groupData.hasOwnProperty(sisNombre)) {
                tableHTML += `
                   <tr>
                     <th colspan="12" class="active text-center">${sisNombre}</th>
                    </tr>
                `
                groupData[sisNombre].forEach((dato, index) => {
                    tableHTML += `
                        <tr class="evmecanica_row evmecanica_row_${dato.Tarea_Id}">
                            <td style="display:none" aria-pregunta="${dato.Tarea_Id}">${dato.Tarea_Id}</td>
                            <td>${index+1}</td>
                            <td>${dato.sTarNombre}</td>
                            <td style="background-color: #dadcd9" class="text-center">
                                <input value="R" type="checkbox" class="check_r" name="respuesta_${dato.Tarea_Id}" />
                            </td>
                            <td style="background-color: #6cfc58" class="text-center">
                                <input value="O" type="checkbox" class="check_o" name="respuesta_${dato.Tarea_Id}" />
                            </td>
                            <td style="background-color: #f8ff85" class="text-center">
                                <input value="P" type="checkbox" class="check_p" name="respuesta_${dato.Tarea_Id}" />
                            </td>
                            <td style="background-color: #fe5d5d" class="text-center">
                                <input value="C" type="checkbox" class="check_c" name="respuesta_${dato.Tarea_Id}" />
                            </td>
                            <td class="text-center">
                                <input class="form-control input-sm" type="number" name="nPreCantidad_${dato.Tarea_Id}">
                            </td>
                            <td class="text-center">
                                <input class="form-control input-sm" type="text" name="nPreNroParte_${dato.Tarea_Id}">
                            </td>
                            <td class="text-center">
                                <input class="form-control input-sm" type="date" value="${fulldate}" name="dPreFecha_${dato.Tarea_Id}">
                            </td>
                            <td class="text-center">
                                <input class="form-control input-sm" type="text" maxlength="250" name="nPrePreObservaciones_${dato.Tarea_Id}">
                            </td>
                            <td class="text-center">
                                <input type="hidden" name="sNombreImg_${dato.Tarea_Id}" id="sNombreImg_${dato.Tarea_Id}">
                                <input type="file" class="form-control input-sm" accept="image/jpeg, image/jpg, image/png, image/webp, image/ico" id="sImgAdj_${dato.Tarea_Id}" name="sImgAdj_${dato.Tarea_Id}" onchange="GuardarImgAdj('${dato.Tarea_Id}')">
                            </td>
                            <td class="text-center">
                                <button type="button" class="btn btn-danger btn-flat btn-xs" data-toggle="modal" data-target="#eliminar_pregunta" data-codigo="${dato.Tarea_Id}" data-mantenimiento="${Mantenimiento_Id}">
                                    <i class="fa fa-trash-o"></i>
                                </button>
                            </td>
                        </tr>
                    `
                })
            }
        }

        let tableTasks = document.getElementById('tableTareas')
        tableTasks.getElementsByTagName('tbody')[0].innerHTML = tableHTML
    })
}


$("#btn-save-mantenimiento").click(function () {
    let Mantenimiento_Id = document.getElementById('Mantenimiento_Id').value
    let sAFMantenimiento = document.getElementById('sAFMantenimiento').value
    let Equipo_Id = document.getElementById('Equipo_Id').value
    let nManTecnico_Id = document.getElementById('nManTecnico_Id').value
    let sManOdometroAnterior = document.getElementById('sManOdometroAnterior').value
    let sManMantAnterior = document.getElementById('sManMantAnterior').value
    let sManOdometroActual = document.getElementById('sManOdometroActual').value
    let sManMantActual = document.getElementById('sManMantActual').value
    let sManFirmaTecnico = document.getElementById('sManFirmaTecnico').value
    let sManFirmaCliente = document.getElementById('sManFirmaCliente').value
    let nManPlantilla_Id = document.getElementById('Plantilla_Id').value
    let programacionId = document.getElementById('programacionId').value
    let pProgramacionId_old = document.getElementById('programacionId_old').value
    let sManDniCli = document.getElementById('sManDniCli').value
    let sManNombreCli = document.getElementById('sManNombreCli').value
    
    if (!sAFMantenimiento || (!nManTecnico_Id || nManTecnico_Id == 'Selecciona') || !sManOdometroActual || !sManMantActual) {
        swal(
            'Advertencia',
            'Ingrese los campos obligatorios!',
            'warning'
        )
        $('html, body').animate({ scrollTop: '0px' }, 1000);
        return
    }


    $.post('?c=Mantenimiento&a=GuardarMantenimiento', {
        Mantenimiento_Id: Mantenimiento_Id,
        nManEquipo_Id: Equipo_Id,
        nManTecnico_Id: nManTecnico_Id,
        nManPlantilla_Id: nManPlantilla_Id,
        sManOdometroAnterior: sManOdometroAnterior,
        sManMantAnterior: sManMantAnterior,
        sManOdometroActual: sManOdometroActual,
        sManMantActual: sManMantActual,
        sManFirmaTecnico: sManFirmaTecnico,
        sManFirmaCliente: sManFirmaCliente,
        programacionId: programacionId,
        pProgramacionId_old: pProgramacionId_old,
        sManDniCli: sManDniCli,
        sManNombreCli: sManNombreCli

    }, function(data) {
        //console.log(data);
        //return
        $('#resultado').html(data)

        

        let formEvElectrica = $('#FrmEditarInspeccion_EvElectrica').serializeArray()
        let formEvDiodos = $('#FrmEditarInspeccion_EvDiodos').serializeArray()
        let formPruebaCarga = $('#FrmEditarInspeccion_PruebaConCarga').serializeArray()
        
        
        let datos_evelectrica = []
        let datos_evdiodos = []
        let datos_pruebacarga = []
        let datos_evmecanica = []
        let cantidad_ev = $('.evmecanica_row').length
        
        for (let i = 0; i < cantidad_ev; i++) {
            let tarea_id = parseInt($('.evmecanica_row')[i].children[0].innerHTML)
            let respuesta = $('input[name="respuesta_'+tarea_id+'"]:checked').val()
            let cantidad = $('input[name="nPreCantidad_'+tarea_id+'"]').val()
            let NParte = $('input[name="nPreNroParte_'+tarea_id+'"]').val()
            let fecha = $('input[name="dPreFecha_'+tarea_id+'"]').val()
            let observaciones = $('input[name="nPrePreObservaciones_'+tarea_id+'"]').val()
            let imgAdj = $('input[name="sNombreImg_'+tarea_id+'"]').val()
            
            // if (respuesta !== undefined && cantidad !== "" && NParte !== "" && fecha !== "") {
                datos_evmecanica.push({
                    Mantenimiento_Id: document.getElementById("Mantenimiento_Id").value,
                    Tarea_id: tarea_id,
                    sMDEstado: respuesta ? respuesta : '',
                    nMDCantidad: cantidad ? cantidad : 0,
                    nMDParte: NParte ? NParte : 0,
                    dMDFecha: fecha ? fecha : '',
                    sMDObservacion: observaciones? observaciones : '',
                    sAdjunto: imgAdj ? imgAdj : ''
                })   
            // }
        }
        
        $.post('?c=Mantenimiento&a=GuardarDetalleEvMecanica', {
            datos_evmecanica
        }, function(data) {
            console.log(data)
        })

        datos_evelectrica.push({
            Inspeccion_Id: document.getElementById("Mantenimiento_Id").value,
            seleccion: $('.voltaje:checked').attr('aria-seleccion') === undefined ? '' : $('.voltaje:checked').attr('aria-seleccion'),
            sMegSerie: formEvElectrica[0].value,
            nMegT1T2: formEvElectrica[1].value ? formEvElectrica[1].value : 0,
            nMegT1T3: formEvElectrica[2].value ? formEvElectrica[2].value : 0,
            nMegT1T7: formEvElectrica[3].value ? formEvElectrica[3].value : 0,
            nMegT1T8: formEvElectrica[4].value ? formEvElectrica[4].value : 0,
            nMegT1T9: formEvElectrica[5].value ? formEvElectrica[5].value : 0,
            nMegT1Trr: formEvElectrica[6].value ? formEvElectrica[6].value : 0,
            nMegT1Val: formEvElectrica[7].value ? formEvElectrica[7].value : 0,
            sMegT1Obs: formEvElectrica[8].value,
            nMegT2T1: formEvElectrica[9].value ? formEvElectrica[9].value : 0,
            nMegT2T3: formEvElectrica[10].value ? formEvElectrica[10].value : 0,
            nMegT2T7: formEvElectrica[11].value ? formEvElectrica[11].value : 0,
            nMegT2T8: formEvElectrica[12].value ? formEvElectrica[12].value : 0,
            nMegT2T9: formEvElectrica[13].value ? formEvElectrica[13].value : 0,
            nMegT2Trr: formEvElectrica[14].value ? formEvElectrica[14].value : 0,
            nMegT2Val: formEvElectrica[15].value ? formEvElectrica[15].value : 0,
            sMegT2Obs: formEvElectrica[16].value,
            nMegT3T1: formEvElectrica[17].value ? formEvElectrica[17].value : 0,
            nMegT3T2: formEvElectrica[18].value ? formEvElectrica[18].value : 0,
            nMegT3T7: formEvElectrica[19].value ? formEvElectrica[19].value : 0,
            nMegT3T8: formEvElectrica[20].value ? formEvElectrica[20].value : 0,
            nMegT3T9: formEvElectrica[21].value ? formEvElectrica[21].value : 0,
            nMegT3Trr: formEvElectrica[22].value ? formEvElectrica[22].value : 0,
            nMegT3Val: formEvElectrica[23].value ? formEvElectrica[23].value : 0,
            sMegT3Obs: formEvElectrica[24].value,
            nMegT7T1: formEvElectrica[25].value ? formEvElectrica[25].value : 0,
            nMegT7T2: formEvElectrica[26].value ? formEvElectrica[26].value : 0,
            nMegT7T3: formEvElectrica[27].value ? formEvElectrica[27].value : 0,
            nMegT7T8: formEvElectrica[28].value ? formEvElectrica[28].value : 0,
            nMegT7T9: formEvElectrica[29].value ? formEvElectrica[29].value : 0,
            nMegT7Trr: formEvElectrica[30].value ? formEvElectrica[30].value : 0,
            nMegT7Val: formEvElectrica[31].value ? formEvElectrica[31].value : 0,
            sMegT7Obs: formEvElectrica[32].value,
            nMegT8T1: formEvElectrica[33].value ? formEvElectrica[33].value : 0,
            nMegT8T2: formEvElectrica[34].value ? formEvElectrica[34].value : 0,
            nMegT8T3: formEvElectrica[35].value ? formEvElectrica[35].value : 0,
            nMegT8T7: formEvElectrica[36].value ? formEvElectrica[36].value : 0,
            nMegT8T9: formEvElectrica[37].value ? formEvElectrica[37].value : 0,
            nMegT8Trr: formEvElectrica[38].value ? formEvElectrica[38].value : 0,
            nMegT8Val: formEvElectrica[39].value ? formEvElectrica[39].value : 0,
            sMegT8Obs: formEvElectrica[40].value,
            nMegT9T1: formEvElectrica[41].value ? formEvElectrica[41].value : 0,
            nMegT9T2: formEvElectrica[42].value ? formEvElectrica[42].value : 0,
            nMegT9T3: formEvElectrica[43].value ? formEvElectrica[43].value : 0,
            nMegT9T7: formEvElectrica[44].value ? formEvElectrica[44].value : 0,
            nMegT9T8: formEvElectrica[45].value ? formEvElectrica[45].value : 0,
            nMegT9Trr: formEvElectrica[46].value ? formEvElectrica[46].value : 0,
            nMegT9Val: formEvElectrica[47].value ? formEvElectrica[47].value : 0,
            sMegT9Obs: formEvElectrica[48].value,
            nMegEstExcTrr: formEvElectrica[49].value ? formEvElectrica[49].value : 0,
            nMegEstExcVal: formEvElectrica[50].value ? formEvElectrica[50].value : 0,
            sMegEstExcObs: formEvElectrica[51].value,
            nMegRotPplTrr: formEvElectrica[52].value ? formEvElectrica[52].value : 0,
            nMegRotPplVal: formEvElectrica[53].value ? formEvElectrica[53].value : 0,
            sMegRotPplObs: formEvElectrica[54].value,
            nMegRotExcTrr: formEvElectrica[55].value ? formEvElectrica[55].value : 0,
            nMegRotExcVal: formEvElectrica[56].value ? formEvElectrica[56].value : 0,
            sMegRotExcObs: formEvElectrica[57].value,
            nMegPgmTrr: formEvElectrica[58].value ? formEvElectrica[58].value : 0,
            nMegPgmVal: formEvElectrica[59].value ? formEvElectrica[59].value : 0,
            sMegPgmOnbs: formEvElectrica[60].value,
            sMegObservacion: formEvElectrica[61].value
        })

        // post para guardar evelectrica
        jT_EvElectrica = JSON.stringify(datos_evelectrica);
        $.post('?c=Mantenimiento&a=GuardarDetalleEvElectrica', {
            jEvElectrica: jT_EvElectrica
        }, function (data) {
            console.log(data)
        });


        datos_evdiodos.push({
            Inspeccion_Id: document.getElementById("Mantenimiento_Id").value,
            sDirecto01: formEvDiodos[0].value,
            sDirecto02: formEvDiodos[1].value,
            sDirecto03: formEvDiodos[2].value,
            sInverso01: formEvDiodos[3].value,
            sInverso02: formEvDiodos[4].value,
            sInverso03: formEvDiodos[5].value,
            sVaristor: formEvDiodos[6].value
        })

        jT_EvDiodos = JSON.stringify(datos_evdiodos)
        // post para guardar diodos
        $.post('?c=Mantenimiento&a=GuardarDetalleEvDiodos', {
            jEvDiodos: jT_EvDiodos
        }, function (data) {
            console.log(data)
        });

        datos_pruebacarga.push({
            Inspeccion_Id: document.getElementById("Mantenimiento_Id").value,
            sPruHoraIni: formPruebaCarga[0].value,
            sPruHoraTer: formPruebaCarga[1].value,
            sPruFasesRST: formPruebaCarga[2].value,
            sPruSet00: formPruebaCarga[3].value,
            sPruSet25: formPruebaCarga[4].value,
            sPruSet50: formPruebaCarga[5].value,
            sPruSet75: formPruebaCarga[6].value,
            sPruSet100: formPruebaCarga[7].value,
            sPruSet110: formPruebaCarga[8].value,
            nPruTiempo: formPruebaCarga[9].value,
            sPruValor: formPruebaCarga[10].value,
            sPruObservaciones: formPruebaCarga[11].value,
            sPruDet01_0: formPruebaCarga[12].value,
            sPruDet01_1: formPruebaCarga[13].value,
            sPruDet01_2: formPruebaCarga[14].value,
            sPruDet01_3: formPruebaCarga[15].value,
            sPruDet01_4: formPruebaCarga[16].value,
            sPruDet01_5: formPruebaCarga[17].value,
            sPruDet02_0: formPruebaCarga[18].value,
            sPruDet02_1: formPruebaCarga[19].value,
            sPruDet02_2: formPruebaCarga[20].value,
            sPruDet02_3: formPruebaCarga[21].value,
            sPruDet02_4: formPruebaCarga[22].value,
            sPruDet02_5: formPruebaCarga[23].value,
            sPruDet03_0: formPruebaCarga[24].value,
            sPruDet03_1: formPruebaCarga[25].value,
            sPruDet03_2: formPruebaCarga[26].value,
            sPruDet03_3: formPruebaCarga[27].value,
            sPruDet03_4: formPruebaCarga[28].value,
            sPruDet03_5: formPruebaCarga[29].value,
            sPruDet04_0: formPruebaCarga[30].value,
            sPruDet04_1: formPruebaCarga[31].value,
            sPruDet04_2: formPruebaCarga[32].value,
            sPruDet04_3: formPruebaCarga[33].value,
            sPruDet04_4: formPruebaCarga[34].value,
            sPruDet04_5: formPruebaCarga[35].value,
            sPruDet05_0: formPruebaCarga[36].value,
            sPruDet05_1: formPruebaCarga[37].value,
            sPruDet05_2: formPruebaCarga[38].value,
            sPruDet05_3: formPruebaCarga[39].value,
            sPruDet05_4: formPruebaCarga[40].value,
            sPruDet05_5: formPruebaCarga[41].value,
            sPruDet06_0: formPruebaCarga[42].value,
            sPruDet06_1: formPruebaCarga[43].value,
            sPruDet06_2: formPruebaCarga[44].value,
            sPruDet06_3: formPruebaCarga[45].value,
            sPruDet06_4: formPruebaCarga[46].value,
            sPruDet06_5: formPruebaCarga[47].value,
            sPruDet07_0: formPruebaCarga[48].value,
            sPruDet07_1: formPruebaCarga[49].value,
            sPruDet07_2: formPruebaCarga[50].value,
            sPruDet07_3: formPruebaCarga[51].value,
            sPruDet07_4: formPruebaCarga[52].value,
            sPruDet07_5: formPruebaCarga[53].value,
            sPruDet08_0: formPruebaCarga[54].value,
            sPruDet08_1: formPruebaCarga[55].value,
            sPruDet08_2: formPruebaCarga[56].value,
            sPruDet08_3: formPruebaCarga[57].value,
            sPruDet08_4: formPruebaCarga[58].value,
            sPruDet08_5: formPruebaCarga[59].value,
            sPruDet09_0: formPruebaCarga[60].value,
            sPruDet09_1: formPruebaCarga[61].value,
            sPruDet09_2: formPruebaCarga[62].value,
            sPruDet09_3: formPruebaCarga[63].value,
            sPruDet09_4: formPruebaCarga[64].value,
            sPruDet09_5: formPruebaCarga[65].value,
            sPruDet10_0: formPruebaCarga[66].value,
            sPruDet10_1: formPruebaCarga[67].value,
            sPruDet10_2: formPruebaCarga[68].value,
            sPruDet10_3: formPruebaCarga[69].value,
            sPruDet10_4: formPruebaCarga[70].value,
            sPruDet10_5: formPruebaCarga[71].value,
            sPruDet11_0: formPruebaCarga[72].value,
            sPruDet11_1: formPruebaCarga[73].value,
            sPruDet11_2: formPruebaCarga[74].value,
            sPruDet11_3: formPruebaCarga[75].value,
            sPruDet11_4: formPruebaCarga[76].value,
            sPruDet11_5: formPruebaCarga[77].value,
            sPruDet12_0: formPruebaCarga[78].value,
            sPruDet12_1: formPruebaCarga[79].value,
            sPruDet12_2: formPruebaCarga[80].value,
            sPruDet12_3: formPruebaCarga[81].value,
            sPruDet12_4: formPruebaCarga[82].value,
            sPruDet12_5: formPruebaCarga[83].value,
            sPruDet13_0: formPruebaCarga[84].value,
            sPruDet13_1: formPruebaCarga[85].value,
            sPruDet13_2: formPruebaCarga[86].value,
            sPruDet13_3: formPruebaCarga[87].value,
            sPruDet13_4: formPruebaCarga[88].value,
            sPruDet13_5: formPruebaCarga[89].value,
            sPruDet14_0: formPruebaCarga[90].value,
            sPruDet14_1: formPruebaCarga[91].value,
            sPruDet14_2: formPruebaCarga[92].value,
            sPruDet14_3: formPruebaCarga[93].value,
            sPruDet14_4: formPruebaCarga[94].value,
            sPruDet14_5: formPruebaCarga[95].value,
            sPruDet15_0: formPruebaCarga[96].value,
            sPruDet15_1: formPruebaCarga[97].value,
            sPruDet15_2: formPruebaCarga[98].value,
            sPruDet15_3: formPruebaCarga[99].value,
            sPruDet15_4: formPruebaCarga[100].value,
            sPruDet15_5: formPruebaCarga[101].value,
            sPruDet16_0: formPruebaCarga[102].value,
            sPruDet16_1: formPruebaCarga[103].value,
            sPruDet16_2: formPruebaCarga[104].value,
            sPruDet16_3: formPruebaCarga[105].value,
            sPruDet16_4: formPruebaCarga[106].value,
            sPruDet16_5: formPruebaCarga[107].value,
            sPruDet17_0: formPruebaCarga[108].value,
            sPruDet17_1: formPruebaCarga[109].value,
            sPruDet17_2: formPruebaCarga[110].value,
            sPruDet17_3: formPruebaCarga[111].value,
            sPruDet17_4: formPruebaCarga[112].value,
            sPruDet17_5: formPruebaCarga[113].value,
            sPruDet18_0: formPruebaCarga[114].value,
            sPruDet18_1: formPruebaCarga[115].value,
            sPruDet18_2: formPruebaCarga[116].value,
            sPruDet18_3: formPruebaCarga[117].value,
            sPruDet18_4: formPruebaCarga[118].value,
            sPruDet18_5: formPruebaCarga[119].value,
            sPruDet19_0: formPruebaCarga[120].value,
            sPruDet19_1: formPruebaCarga[121].value,
            sPruDet19_2: formPruebaCarga[122].value,
            sPruDet19_3: formPruebaCarga[123].value,
            sPruDet19_4: formPruebaCarga[124].value,
            sPruDet19_5: formPruebaCarga[125].value,
            sPruDet20_0: formPruebaCarga[126].value,
            sPruDet20_1: formPruebaCarga[127].value,
            sPruDet20_2: formPruebaCarga[128].value,
            sPruDet20_3: formPruebaCarga[129].value,
            sPruDet20_4: formPruebaCarga[130].value,
            sPruDet20_5: formPruebaCarga[131].value,
            sPruDetObs_0: formPruebaCarga[132].value,
            sPruDetObs_1: formPruebaCarga[133].value,
            sPruDetObs_2: formPruebaCarga[134].value,
            sPruDetObs_3: formPruebaCarga[135].value,
            sPruDetObs_4: formPruebaCarga[136].value,
            sPruDetObs_5: formPruebaCarga[137].value
        })

        jT_PruebaConCarga = JSON.stringify(datos_pruebacarga)
        $.post('?c=Mantenimiento&a=GuardarDetallePruebaConCarga', {
            jPruebaConCarga: jT_PruebaConCarga
        }, function (data) {
            console.log(data)
        });

        $('html, body').animate({ scrollTop: '0px' }, 1000);
        setTimeout(() => {
            // window.location.reload()
        }, 800);
    })
});

function eliminarItem () {
    let idmantenimientox = document.getElementById('idmantenimientox').value
    let idtareax = document.getElementById('idtareax').value
    
    let checks = document.getElementsByName(`respuesta_${idtareax}`)
    checks.forEach(check => check.checked = false)
    document.querySelector(`input[name="nPreCantidad_${idtareax}"]`).value = ""
    document.querySelector(`input[name="nPreNroParte_${idtareax}"]`).value = ""
    document.querySelector(`input[name="dPreFecha_${idtareax}"]`).value = ""
    document.querySelector(`input[name="nPrePreObservaciones_${idtareax}"]`).value = ""
    document.getElementById(`sImgAdj_${idtareax}`).value = ""

    let image_load = document.getElementById(`image_load_${idtareax}`)

    if (image_load) {
        image_load.style.display = 'none'
    }
    
    let modal = $('#eliminar_pregunta');
    modal.modal('hide');
    
}

function InspeccionPDF(Mantenimiento_Id) {

    var url = window.self.location.pathname + '?c=mantenimiento&a=PDF&Mantenimiento_Id=' + Mantenimiento_Id;

    var w = window.open('', '_blank');
    w.document.write('<html><head><title>Generando Documento...</title>');
    w.document.write("<style>body {background:#282828 !important;color:#FFF;} p {font-family: 'Arial', sans-serif;font-size:18px; font-weight:700;padding-bottom:20px;color:#FFF;} .loader4 { width:45px;height:45px;display:inline-block;padding:0px;border-radius:100%;border:5px solid;border-top-color:rgba(246, 36, 89, 1);border-bottom-color:rgba(255,255,255, 0.3);border-left-color:rgba(246, 36, 89, 1);border-right-color:rgba(255,255,255, 0.3);-webkit-animation: loader4 1s ease-in-out infinite;animation: loader4 1s ease-in-out infinite; } @keyframes loader4 { from {transform: rotate(0deg);} to {transform: rotate(360deg);}} @-webkit-keyframes loader4 { from {-webkit-transform: rotate(0deg);} to {-webkit-transform: rotate(360deg);} }</style>");
    w.document.write("<script>setTimeout(function(){window.location.href='" + url + "';},1000);<\/script>");
    w.document.write('</head><body>');
    w.document.write('<div class="container"><div style="width:100%;"><div style="text-align:center;margin-top:20%;"><p>Se esta generando el Documento, por favor espere...</p><div class="loader4"></div></div></div> ');
    w.document.write('</body></html>');
    w.document.close();
    w.focus();
}

function changeStatus(param) {
    const autoCompleteElement = document.getElementById('auto_complete')
    const spinnerWrapper = document.getElementById('wrapper_spinner')
    const table1Wrapper = document.getElementById('wrapper_table1')
    const table2Wrapper = document.getElementById('wrapper_table2')

    spinnerWrapper.classList.remove('hidden')

    $("#table_equipo").dataTable().fnDestroy()
    $("#table_equipo2").dataTable().fnDestroy()

    if (param === 1) {
        document.getElementById('nSelectTipo').value = 0
        // Vacía la tabla
        $("#table_equipo_body").empty()
    
        autoCompleteElement.innerHTML = 'Programados'
        table2Wrapper.classList.add('hidden')
        table1Wrapper.classList.add('hidden')
    
        $.post('?c=Mantenimiento&a=ListarEquipoConMante', {}, function (data) {
            spinnerWrapper.classList.add('hidden')
            table1Wrapper.classList.remove('hidden')
    
            // Llena la tabla con los nuevos datos
            $("#table_equipo_body").html(data)
            $("#table_equipo").dataTable({
                "iDisplayLength": 5
            })
        })
    }
    if (param === 0) {
        // Vacía la tabla
        $("#table_equipo_body2").empty()
    
        autoCompleteElement.innerHTML = 'No Programados'
        table1Wrapper.classList.add('hidden')
        table2Wrapper.classList.add('hidden')
    
        $.post('?c=Mantenimiento&a=ListarEquipoSinMante', { pTipo: 0 }, function(data) {
            spinnerWrapper.classList.add('hidden')
            table2Wrapper.classList.remove('hidden')
    
            // Llena la tabla con los nuevos datos
            $("#table_equipo_body2").html(data)
            $("#table_equipo2").dataTable({
                "iDisplayLength": 5
            })
        });
    }
    
}

function agregarEquipo(param, programacionId, nManTecnico_Id, nProContratoId, sUsuDni, sUsuPuesto, sUsuNombre) {
    document.getElementById('sAFMantenimiento').value = ''
    document.getElementById('programacionId').value = ''
    document.getElementById('nManTecnico_Id').value = ''
    document.getElementById('sConDetSucursal').value = ''
    document.getElementById('sConDetUbicacion').value = ''
    document.getElementById('sConCliente').value = ''
    document.getElementById('sConnCliente').value = ''


    document.getElementById('sAFMantenimiento').value = param
    document.getElementById('programacionId').value = programacionId
    document.getElementById('nManTecnico_Id').value = nManTecnico_Id
    $('#nManTecnico_Id').selectpicker('refresh')

    buscarEquipo()



    $.post('?c=Contrato&a=ObtenerInfoContrato',{
        contrato_Id: nProContratoId,
        psDetConCodigo: param
    }, function (data) {

        if (data) {
            const json = JSON.parse(data)
            
            if (json[0]) {           
                document.getElementById('sConDetSucursal').value = json[0].sDetConSucursal
                document.getElementById('sConDetUbicacion').value = json[0].sDetConUbicacion
                document.getElementById('sConCliente').value = json[0].sCliNombre
                document.getElementById('sConDNI').value = sUsuDni ? sUsuDni : ''
                document.getElementById('sConnCliente').value = sUsuNombre ? sUsuNombre : ''
                
            } else {
                swal(
                    'Advertencia',
                    'El equipo no tiene una programación.',
                    'warning'
                )
            }
        } else {
            swal(
                'Error',
                'No se pudo obtener la información de Contrato',
                'warning'
            )
        }
    })

    $('#modal-list-product').modal('hide')
}

function filtrarPorTipo(param) {
    const autoCompleteElement = document.getElementById('auto_complete')
    const spinnerWrapper = document.getElementById('wrapper_spinner')
    const table2Wrapper = document.getElementById('wrapper_table2')

    spinnerWrapper.classList.remove('hidden')

    $("#table_equipo2").dataTable().fnDestroy()

    $("#table_equipo_body2").empty()

    if (param == 0) {
        autoCompleteElement.innerHTML = 'No Programados'
    } else if (param == 1) {
        autoCompleteElement.innerHTML = 'No Programados GE'
    } else if (param == 2) {
        autoCompleteElement.innerHTML = 'No Programados Torre'
    } else if (param == 3) {
        autoCompleteElement.innerHTML = 'No Programados Compresor'
    } else if (param == 4) {
        autoCompleteElement.innerHTML = 'No Programados Rodillo compactador'
    }
    
    table2Wrapper.classList.add('hidden')

    $.post('?c=Mantenimiento&a=ListarEquipoSinMante', { pTipo: param }, function(data) {
        spinnerWrapper.classList.add('hidden')
        table2Wrapper.classList.remove('hidden')

        // Llena la tabla con los nuevos datos
        $("#table_equipo_body2").html(data)
        $("#table_equipo2").dataTable({
            "iDisplayLength": 5
        })
    });
}


function helpme1() {
    console.log('hola')
    let modal = $('#modal-list-product');
    let xmodal = document.getElementById('modal-list-product')
    console.log(xmodal)
    // modal.modal('show');
    
    xmodal.style.display = 'block'
}
