<?php    

    require_once 'model/clientes.entidad.php';
    require_once 'model/clientes.model.php';
    require_once 'model/usuario.entidad.php';
    require_once 'model/usuario.model.php';
    require_once 'model/parametro.model.php';
    require_once 'model/parametro.entidad.php';
    require_once 'view/librerias/PHPExcel/PHPExcel.php';
	require_once 'model/cliente_usuario.entidad.php';
	//require_once 'model/distribuidor_usuario.entidad.php'; /*em 26-08-2020*/
    ini_set('max_execution_time', 500);
    class ClienteController extends helpers{
        private $clientes_model;
        private $clientes_contacto_model;
        private $usuario_model;
        private $parametro_model;
        private $apoderado_model;
        private $objPHPExcel;
		
        public function __CONSTRUCT(){
            $this->clientes_model = new ClientesModel();
            $this->usuario_model = new UsuarioModel();
            $this->parametro_model = new ParametroModel();
            $this->objPHPExcel = new PHPExcel();
        }
        
        public function Index(){
            $parametro = $this->parametro_model->ListarParametros();
            $clientes= $this->clientes_model->Listar();
            require_once 'view/header.php';  
            require_once 'view/webforms/wfacliente.php';
            echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.catalogos').addClass('active');
                        });
                  </script>";
            require_once 'view/footer.php'; 
        }
        public function IndexDis(){
            $parametro = $this->parametro_model->ListarParametros();
            $clientes= $this->clientes_model->ListarDis($_SESSION['usu_codigo']);
            require_once 'view/headercliente.php';  
            require_once 'view/webdistribuidor/wfadiscliente.php';
            echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.operaciones').addClass('active');
                        });
                  </script>";
            require_once 'view/footer.php'; 
        }
        public function FrmGuardarCliente(){
            //$distribuidor = $this->distribuidor_model->ListarNombre();
            require_once 'view/webforms/wfaclientea.php'; 
        }

        public function FrmGuardarClienteDis(){
            $distribuidor = $this->distribuidor_model->ListarNombre();
            require_once 'view/webdistribuidor/wfadisclientea.php'; 
        }
        
        public function FrmEditarCliente(){
            $datos = $this->clientes_model->Buscar($_POST['Cliente_Id']);        
            foreach ($datos as $r):
                require_once 'view/webforms/wfaclientea.php';            
            endforeach;    
        }

        public function FrmEditarClienteDis(){
            $datos = $this->clientes_model->Buscar($_POST['Cliente_Id']);
            $distribuidor = $this->distribuidor_model->ListarNombre();            
            foreach ($datos as $r):
                require_once 'view/webdistribuidor/wfadisclientea.php';            
            endforeach;    
        }
        
        public function MostrarCliente(){
            $datos = $this->clientes_model->Buscar($_POST['Cliente_Id']);
            foreach ($datos as $r):
                echo " <tbody>
                               <tr>
                                 <td>C&Oacute;digo</td>
                                 <td>" . $r->__GET('sCliCodigo') . "</td>
                              </tr> 
                              <tr>
                                 <td>
                                    <input type='hidden' name='idCliente_Print' id='idCliente_Print' value='" . $r->__GET('Cliente_Id') . "'> 
                                    Nombre
                                 </td>
                                 <td>" . $r->__GET('sCliNombre') . "</td>
                              </tr>
                                
                              <tr>
                                 <td>RUC/DNI</td>
                                 <td>" . $r->__GET('sCliRUCDNI') . "</td>
                              </tr>  
                              <tr>
                                 <td>Telefono</td>
                                 <td>" . $r->__GET('sCliTelefono') . "</td>
                              </tr>
                              <tr>
                                 <td>Contacto</td>
                                 <td>" . $r->__GET('sCliContacto') . "</td>
                              </tr>
                              <tr>
                                 <td>Estado</td>
                                 <td>" . ($r->__GET('nCliEstado') == 0 ? '<span class="label label-danger">Deshabilitado</span>' : '<span class="label label-success">Habilitado</span>') . "</td>
                              </tr>
                              ";
            endforeach;
        }
        public function GuardarCliente(){
            
            $cli = new Clientes();
            if($_POST['Cliente_Id'] != 0 ? $cli->__SET('Cliente_Id', $this->str_uppercase($_POST['Cliente_Id'])) : 0);
            $cli->__SET('sCliCodigo', $this->str_uppercase($_POST['sCliCodigo']));
            $cli->__SET('sCliNombre', $this->str_uppercase($_POST['sCliNombre']));
            $cli->__SET('sCliRUCDNI', $this->str_uppercase($_POST['sCliRUCDNI']));
            $cli->__SET('sCliTelefono', $this->str_uppercase($_POST['sCliTelefono']));
            $cli->__SET('sCliContacto', $this->str_uppercase($_POST['sCliContacto']));
            $cli->__SET('sCliUsuario', $this->str_uppercase($_POST['sCliUsuario']));
            $cli->__SET('sCliPassword', $_POST['sCliPassword']);
            $cli->__SET('nCliEstado', $_POST['nCliEstado']);
            $cli->__SET('nCliOculto', 0);
            $cli->__SET('nCliUsuario_Id', $_SESSION['usu_codigo']);
            $cli->__SET('sCliCorreo', $_POST['sCliCorreo']);
			$cli->__SET('sCliEjecComercial', $_POST['sCliEjecComercial']);
			$cli->__SET('sCliCorreoEjecCom', null);
			
            if($_POST['Cliente_Id'] != 0){
                
                $this->clientes_model->Editar($cli);
            } else {
                $Cliente_Id = $this->clientes_model->Crear($cli);  
            }
			/* guarda tablas usuarios clientes em 09-11-2020*/
			
			if (isset($_POST['Usuarios'])) {
                $usuarios = json_decode($_POST['Usuarios']);
                
                for ($i = 0; $i < count($usuarios); $i++) {
  
                    $cont = new Cliente_usuario();
                    
                    /*$cont->__SET("distribuidor_Id", ($_POST['Distribuidor_Id'] != 0 ? $_POST['Distribuidor_Id'] : $Distribuidor_Id));*/
                    $cont->__SET("cliente_usuario_id", $usuarios[$i]->distribuidor_usuario_id);
                    $cont->__SET("sCliUsuUsuario", $usuarios[$i]->sCliUsuario);
                    $cont->__SET("sCliUsuContrasena", $usuarios[$i]->sCliUsuContrasena);
                    if ($usuarios[$i]->nDisUsuEstado  == '1' ){
                        $cont->__SET("nCliUsuEstado", 1);
                    } else{
                        $cont->__SET("nCliUsuEstado", 0);
                    }   
         
                    $cont->__SET("nCliUsuEliminado", $usuarios[$i]->nDisUsuEliminado);
                    //$cont->__SET("dDisUsuFecha_Act",$usuarios[$i]->dDisUsuFecha_Act);
					
                    $cont->__SET("nCliUsuUsuario_Id", ($_POST['Cliente_Id'] != 0 ? $_POST['Cliente_Id'] : $Cliente_Id));
                    if ($usuarios[$i]->distribuidor_usuario_id== 0){ // crean uno nuevo
                                    $this->clientes_model->CrearCliUsu($cont); 
                    }else{   // edita uno existente
                                $this->clientes_model->EditarCliUsu($cont);
                    }
                }
              }
            
            echo '<div class="alert alert-success alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    <h4>	<i class="icon fa fa-check"></i> Informacion Guardada.</h4>
                    '. ($_POST['Cliente_Id'] != 0 ? 'Se modificó correctamente.' : 'Se guardó correctamente.') .'
                  </div>';
		    echo '<script type="text/javascript">window.location="?c=Cliente&a=Index";</script>';
            
        }
        public function EliminarCliente(){
            $cli = new Clientes();
            $cli->__SET('Cliente_Id', $_POST['idCliente']);
            $this->clientes_model->Eliminar($cli);
            //echo '<script type="text/javascript">window.location="?c=Cliente&a=Index";</script>';
            header('location: ?c=Cliente&a=Index');
            die();
            
        }

        public function EliminarClienteDis(){
            $cli = new Clientes();
            $cli->__SET('Cliente_Id', $_POST['idCliente']);
            $this->clientes_model->Eliminar($cli);
            //echo '<script type="text/javascript">window.location="?c=Cliente&a=IndexDis";</script>';
            header('location: ?c=Cliente&a=IndexDis');
            die();
            
        }

        public function PDFCliente(){            
            require_once 'view/webforms/PDF/cliente.php';
        }
        public function ListarContactos(){
            $contactos = $this->clientes_contacto_model->Buscar($_POST['Cliente_Id']);
            
            $array = array();
            
            foreach ($contactos as $r):
                
                $array[] = array(
                    'cliente_contacto_Id' => $r->cliente_contacto_Id,
                    'Cliente_Id' => $r->Cliente_Id,
                    'sCliConNombre' => $r->sCliConNombre,
                    'sCliConCargo' => $r->sCliConCargo,
                    'sCliConCorreo' => $r->sCliConCorreo,
                    'sCliConMovil' => $r->sCliConMovil
                );
                
            endforeach;
            
            print_r(json_encode($array));
            
        }
        
        public function ImportarExcel(){
            
            if(substr($_FILES['excel_clientes']['name'], -4) == "xlsx"){
            
                $fecha = date("y-m-d");
                $carpeta = "view/librerias/excel/";
                $excel = $fecha."-".$_FILES["excel_clientes"]["name"];
                move_uploaded_file($_FILES["excel_clientes"]["tmp_name"], $carpeta.$excel);

                $pathInfo = pathinfo($carpeta.$excel);

                $type = $pathInfo['extension'] == 'xlsx' ? 'Excel2007' : 'Excel5';

                $objReader = PHPExcel_IOFactory::createReader($type);

                $objPHPExcel = $objReader->load($carpeta.$excel);

                foreach ($objPHPExcel->getWorksheetIterator() as $worksheet) {

                    $worksheets[$worksheet->getTitle()] = $worksheet->toArray();

                }
                if(isset($worksheets["Sheet1"])){
                    
                    $data = $worksheets["Sheet1"];
                    
                    for ($i = 0; $i < count($data); $i++) {
                        
                        $json = $data[$i];
                        
                        $verificar = $this->clientes_model->Verificar($json[0]);
                        
                        if(count($verificar) == 0){
                            
                            $cli = new Clientes();
                            $cli->__SET('sCliCodigoSAP', $json[0]);
                            $cli->__SET('sCliNombre', $json[1]);
                            $cli->__SET('sCliRUCDNI', $json[11]);
                            $cli->__SET('sCliTelefono', $json[2]);
                            $cli->__SET('sCliTelefono2', $json[2]);
                            $cli->__SET('sCliCodPais', $json[4]);
                            $cli->__SET('sCliPais', $json[5]);
                            $cli->__SET('sCliDepartamento', $json[6]);
                            $cli->__SET('sCliProvincia', $json[7]);
                            $cli->__SET('sCliDistrito', $json[8]);
                            $cli->__SET('sCliDireccion', $json[9]);
                            $cli->__SET('sCliUsuario', "");
                            $cli->__SET('sCliPassword',"");
                            $cli->__SET('sCliGrupoCli', $json[10]);
                            $cli->__SET('nCliEstado', 1);
                            $cli->__SET('nCliOculto', 0);
                            $cli->__SET('nCliUsuario_Id', $_SESSION['usu_codigo']);

                            $Cliente_Id = $this->clientes_model->Crear($cli);  

                            if($json[12] != ""){

                                $cont = new Cliente_contacto();
                                $cont->__SET("Cliente_Id", $Cliente_Id);
                                $cont->__SET("sCliConNombre", $json[12]);
                                $cont->__SET("sCliConCargo", "");
                                $cont->__SET("sCliConCorreo", $json[14]);
                                $cont->__SET("sCliConMovil", "");
                                $this->clientes_contacto_model->Crear($cont);

                            }

                            if($json[13] != ""){

                                $cont1 = new Cliente_contacto();
                                $cont1->__SET("Cliente_Id", $Cliente_Id);
                                $cont1->__SET("sCliConNombre", $json[13]);
                                $cont1->__SET("sCliConCargo", "");
                                $cont1->__SET("sCliConCorreo", $json[14]);
                                $cont1->__SET("sCliConMovil", "");
                                $this->clientes_contacto_model->Crear($cont1);

                            }
                            
                        }
                        
                    }
                    
                    echo "Datos guardados";
                    echo '<script type="text/javascript">window.location="?c=Cliente&a=Index";</script>';
                    
                }
                
            }
            
            echo '<script type="text/javascript">window.location="?c=Cliente&a=Index";</script>';
                
//print_r();
            
            
//            $fecha = date("y-m-d");
//            $carpeta = "view/librerias/excel/";
//            $excel = $fecha."-".$_FILES["excel_clientes"]["name"];
//            move_uploaded_file($_FILES["excel_clientes"]["tmp_name"], $carpeta.$excel);
//            
//            $row = 1;
//            
//            $fp = fopen($carpeta.$excel, "r");
//            
//            while ($data = fgetc($fp, 1000, ",")){
//                echo $data[0];
//            }
//            
//            echo substr($_FILES["excel_clientes"]["name"], -3);
            
        }
        public function JsonDatosCliente(){
            
            $datos = $this->clientes_model->Buscar($_POST["Cliente_Id"]);            
            foreach ($datos as $r):
                print_r(json_encode(array(
                    'Cliente_Id' => $r->Cliente_Id,
                    'sCliCodigoSAP' => $r->sCliCodigoSAP,
                    'sCliNombre' => $r->sCliNombre,
                    'sCliRUCDNI' => $r->sCliRUCDNI,
                    'sCliTelefono' => $r->sCliTelefono,
                    'sCliTelefono2' => $r->sCliTelefono2,
                    'sCliCodPais' => $r->sCliCodPais,
                    'sCliPais' => $r->sCliPais,
                    'sCliDepartamento' => $r->sCliDepartamento,
                    'sCliProvincia' => $r->sCliProvincia,
                    'sCliDistrito' => $r->sCliDistrito,
                    'sCliDireccion' => $r->sCliDireccion,
                    'sCliUsuario' => $r->sCliUsuario,
                    'sCliPassword' => $r->sCliPassword,
                    'sCliGrupoCli' => $r->sCliGrupoCli,
                    'nCliEstado' => $r->nCliEstado,
                    'nCliOculto' => $r->nCliOculto,
                    'dCliFecha_Act' => $r->dCliFecha_Act,
                    'nCliUsuario_Id' => $r->nCliUsuario_Id
                )));
            endforeach;    
        }
		 public function VerificarCodCliExiste(){
            $ent = $this->clientes_model->VerificarCodCliExiste( $_POST["Cliente_Id"], $_POST["sCliCodigo"]);
            echo json_encode($ent);
         }
         /* em 02-11-20  cheka q exista dni */
         public function VerificarRucCliExiste(){
            $ent = $this->clientes_model->VerificarRucCliExiste( $_POST["Cliente_Id"], $_POST["sCliRUCDNI"]);
            echo json_encode($ent);
         }
		 
		 /*em 07-01-2020 */
		 /* busca en distribuidor_usuarios*/
        public function ListarCliUsuarios(){ /*em */
            
            $usuarios = $this->clientes_model->BuscarCliUsu($_POST['Cliente_Id']);
            $array = [];
            
            foreach ($usuarios as $r):
                
                $array[] = array(
                    'distribuidor_usuario_id' => $r->cliente_usuario_id,
                    'nCliUsuUsuario_Id' => $r->nCliUsuUsuario_Id,
                    'sCliUsuario' => $r->sCliUsuUsuario,
                    'sCliUsuContrasena' => $r->sCliUsuContrasena,
                    'nDisUsuEstado' => $r->nCliUsuEstado,
                    'nDisUsuEliminado' => $r->nCliUsuEliminado,
                    'dCliUsuFecha_Act' => $r->dCliUsuFecha_Act
                );
                
            endforeach;
            
            print_r(json_encode($array));
            
        }
    }
?>