<?php
/**
* SoapX v1.3
*/
class SoapX{
	//private $url = 'http://moerdev:8000/sap/bc/srt/wsdl/flv_10002P101AD1/sdef_url/ZSW_APP_TALLER1?sap-client=400';
	private $url = 'http://MOERDEV.modasa.com:8000/sap/bc/srt/rfc/sap/zsw_app_taller1/400/zapp_taller1/zapp_taller1';
	private $login = 'tidev02';
	private $password = 'modasa2022';
	
	private $use_prod = true;
	
	//config WSDL = 'http://moerprd:8000/sap/bc/srt/wsdl/flv_10002A111AD1/bndg_url/sap/bc/srt/rfc/sap/zsw_app_taller1/400/zapp_taller1/zapp_taller1?sap-client=400';
	private $url_prod = 'http://MOERPRD:8000/sap/bc/srt/rfc/sap/zsw_app_taller1/400/zapp_taller1/zapp_taller1';
	private $login_prod = 'tidev01';
	private $password_prod = 'modasa*2019_12';
	
	function __construct(){
	    if($this->use_prod){
	        $this->url = $this->url_prod;
	        $this->login = $this->login_prod;
	        $this->password = $this->password_prod;
	    }
	}
	
	private function getCredentials(){
		return sprintf("%s:%s",$this->login,$this->password);
	}
	
	function getData($xml_data){
		$headers = array(
            "Content-Type: text/xml; charset:utf-8",
			"cache-control: no-cache",
            "Authorization: Basic " . base64_encode($this->getCredentials())
        );
        $ch = curl_init();
        curl_setopt($ch, CURLOPT_URL,$this->url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_TIMEOUT, 60);
        curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
        curl_setopt($ch, CURLOPT_POST, 1);
        curl_setopt($ch, CURLOPT_POSTFIELDS, $xml_data); 
		$result = curl_exec($ch);
        $error = curl_error($ch);
        curl_close($ch);
        if($result){
            return $result;
        }else{
            return $error;
        }
	}
	
	function getCliente($client_id){
        $xml_data = sprintf('<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:urn="urn:sap-com:document:sap:rfc:functions"><soapenv:Header/><soapenv:Body><urn:ZMF_APP_CLIENTE><P_CLIENTE>%s</P_CLIENTE><T_CLIENTES></T_CLIENTES></urn:ZMF_APP_CLIENTE></soapenv:Body></soapenv:Envelope>',$client_id);
		return $this->getData($xml_data);
	}
	
	function getClienteByDoc($doc_id){
	    $xml_data = sprintf('<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:urn="urn:sap-com:document:sap:rfc:functions"><soapenv:Header/><soapenv:Body><urn:ZMF_APP_CLIENTE><P_DOCUMENTO>%s</P_DOCUMENTO><T_CLIENTES></T_CLIENTES></urn:ZMF_APP_CLIENTE></soapenv:Body></soapenv:Envelope>',$doc_id);
	    return $this->getData($xml_data);
	}	
	
	function getClientesByName($name){
	    $xml_data = sprintf('<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:urn="urn:sap-com:document:sap:rfc:functions"><soapenv:Header/><soapenv:Body><urn:ZMF_APP_CLIENTE><P_NOMBRE>%s</P_NOMBRE><T_CLIENTES></T_CLIENTES></urn:ZMF_APP_CLIENTE></soapenv:Body></soapenv:Envelope>',$name);
	    return $this->getData($xml_data);
	}
	
	function getEquipo($equipo_id){
        $xml_data = sprintf('<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:urn="urn:sap-com:document:sap:rfc:functions"><soapenv:Header/><soapenv:Body><urn:ZMF_APP_EQUIPO><GT_EQUIPO></GT_EQUIPO><P_EQUIPO>%s</P_EQUIPO><P_TIPO>V</P_TIPO></urn:ZMF_APP_EQUIPO></soapenv:Body></soapenv:Envelope>',$equipo_id);
		return $this->getData($xml_data);
	}
	
	function getEquipoByClient($client_id){
	    $xml_data = sprintf('<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:urn="urn:sap-com:document:sap:rfc:functions"><soapenv:Header/><soapenv:Body><urn:ZMF_APP_EQUIPO><GT_EQUIPO></GT_EQUIPO><P_CLIENTE>%s</P_CLIENTE><P_TIPO>V</P_TIPO></urn:ZMF_APP_EQUIPO></soapenv:Body></soapenv:Envelope>',$client_id);
	    return $this->getData($xml_data);
	}
	
	function getEquipoByVin($vin){
	    $vin = strtoupper($vin);
	    $xml_data = sprintf('<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:urn="urn:sap-com:document:sap:rfc:functions"><soapenv:Header/><soapenv:Body><urn:ZMF_APP_EQUIPO><GT_EQUIPO></GT_EQUIPO><P_VIN>%s</P_VIN><P_TIPO>V</P_TIPO></urn:ZMF_APP_EQUIPO></soapenv:Body></soapenv:Envelope>',$vin);
	    return $this->getData($xml_data);
	}
	
	function printCliente($cliente_id){
		header('content-type: text/xml');
		die($this->getCliente($cliente_id));
	}
	
	function printClienteByDoc($doc_id){
	    header('content-type: text/xml');
	    die($this->getClienteByDoc($doc_id));
	}
	
	function printClientesByName($name){
	    header('content-type: text/xml');
	    die($this->getClientesByName($name));
	}
	
	function printEquipo($equipo_id){
		header('content-type: text/xml');
		die($this->getEquipo($equipo_id));
	}
	
	function printEquipoByClient($cliente_id){
	    header('content-type: text/xml');
	    die($this->getEquipoByClient($cliente_id));
	}
	
	function printEquipoByVin($vin){
	    header('content-type: text/xml');
	    die($this->getEquipoByVin($vin));
	}
}
?>